# !/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 5794 $
$LastChangedDate:: 2022-04-21 18:17:41 +0200#$

This file is part of SyMSpace.

Copyright (c) 2020, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script is used in componentspace.material_component
    """
    import argparse
    from symspace.osutils.pathutils import CMDParser
    from componentspace.base_component import Component

    parser = argparse.ArgumentParser(description='Execute build script and save error log')
    parser.add_argument('comp_file', help='')

    args = CMDParser.jepSysArgs()
    args = parser.parse_args(args)

    comp_file = CMDParser.jepArgPath(args.comp_file)
    comp = Component(comp_file)
    comp.writeVersionFile()
    comp.sym_mdl.close()
